
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>php函数详解之学习笔记 / iVAN</title>

    <meta name="description" content="php函数详解之学习笔记 系统函数 如phpinfo() ;这就是一个系统函数了,关于系统函数我们不多说,直接参考php教程或手册都会有. 用户自定义函数 php 引入函数的概念使程序变得简洁,运算效率更快.函数是实现某种功能的一段程序,这段程序相当于一个模块,需要时用一些简单的命令就可以调用出来使用,不用每次都重新编写.就好象电脑,我们不需要了解里面的复杂结构,只要了解它提供的功能直接使用即可. php自定义函数-php虽然内置了很多实用的函数,可是不可能满足实际设计的需要,这时我们就需要自己创建函数. 基本结构形式:">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">php函数详解之学习笔记</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>系统函数</strong></p>
<p>如phpinfo() ;这就是一个系统函数了，关于系统函数我们不多说，直接参考php教程或手册都会有。</p>
<p><strong>用户自定义函数</strong></p>
<p>php 引入函数的概念使程序变得简洁，运算效率更快。函数是实现某种功能的一段程序，这段程序相当于一个模块，需要时用一些简单的命令就可以调用出来使用，不用每次都重新编写。就好象电脑，我们不需要了解里面的复杂结构，只要了解它提供的功能直接使用即可。</p>
<p>php自定义函数-php虽然内置了很多实用的函数，可是不可能满足实际设计的需要，这时我们就需要自己创建函数。</p>
<p>基本结构形式：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />function 函数名(参数){<br />
 语句体<br />
}</p>
</td>
</tr>
</table>
<p>function为声明函数；</p>
<p>函数名必须唯一，和变量名不同的是函数名不区分大小写；<br />
function和函数名之间必须要有空格；<br />
参数可以省略，也可以添加多个参数，用英文逗号隔开。<br />
php调用函数-当我们定义了函数后，就可以通过以下结构形式对函数进行调用：</p>
<p>函数名(参数）</p>
<p>参数可以省略，但必须保留括号。<br />
实例：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php <br />
 function e(){<br />
  $i=5+6;<br />
  echo $i;<br />
 }<br />
 e();<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>函数的传递参数</strong></p>
<p>如果函数定义了参数，那么在调用函数时就必须注意参数值的传递问题。php函数参数传递的方式有两种：按值传递和引用传递，默认为按值传递。</p>
<p>1、按值传递：</p>
<p>实例1：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php <br />
 function sum($num,$price){<br />
  $total=$num*$price;<br />
  echo "总价格为：$total";<br />
 }<br />
 sum(10,78);<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>默认参数</strong></p>
<p>php函数默认参数-如果用一个函数时并没有提供该参数的值，那么该参数将使用函数制定的默认值，默认值必须已经在函数定义时赋值。</p>
<p>实例：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php <br />
 function add($a,$b=10){  /* 定义变量$b默认参数 */<br />
  $sum=$a+$b;<br />
  echo $sum ."&lt;br&gt;";<br />
 }<br />
 add(1,5);   /* 按值传递参数代替默认参数 */<br />
 add(1);    /* 没有给$b传递参数将采用默认值 */<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>函数返回值</strong></p>
<p>我们在设计程序时，很多时候不希望将函数的运行结果直接在浏览器显示出来，这时可以通过return语句先将函数值调用出来再进行其它操作。</p>
<p>php函数返回值实例：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php <br />
 function add($a,$b=10){  <br />
  $sum=$a+$b;<br />
  return $sum; /* 将$sum的值赋给函数 */<br />
 }<br />
 $sum=add(1,5);  /* 这里变量$sum得到函数的值 */   <br />
 echo $sum ."&lt;br&gt;";<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>函数嵌套调用</strong></p>
<p>函数的内部不但可以是一般的执行语句，也可以是函数，这就是php函数嵌套的用法。</p>
<p>函数嵌套只一个函数里面还调用了其它函数，这里要理解的是各函数均处于平行关系，函数的定义是独立的。就像一个容器里面可以放置很多个小容器，而这些容器彼此独立，各自容纳自己的东西。</p>
<p>实例：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php <br />
 function volume($l,$w){<br />
  function height($a){<br />
   $a=$a/2;<br />
   return $a;<br />
  }<br />
  $a=$l*$w;<br />
  $v=$a*height($a);<br />
  echo $v;<br />
 }<br />
 volume(8,3);<br />
?&gt;</p>
</td>
</tr>
</table>
<p><strong>函数递归调用</strong></p>
<p>什么是php递归函数？在解释这个概念之前，我们先来看一个数学例子。如果要算出n的阶乘，即n!，则首先应该知道(n-1)!，而要知道(n-1)!，又必须知道(n-2)!。以此类推，直至1!=1，再返回计算2!,3!…(n-1)!,n!，才能最终得出n阶乘的结果。</p>
<p>php函数递归调用的含义就是函数能够调用自身，这种直接或者简介调用函数本身的操作在php语言中是允许的，成之为递归函数。</p>
<p>实例：</p>
<table>
<tr>
<td> 代码如下</td>
<td>复制代码</td>
</tr>
<tr>
<td colspan="2">
<br />&lt;?php <br />
 function calculate($n){<br />
  if($n==0)<br />
  return 1;<br />
  else<br />
  return $n*calculate($n-1);<br />
 }<br />
 $s=calculate(3);<br />
 echo $s;<br />
?&gt;</p>
</td>
</tr>
</table>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 19:12:05</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f/" title="程序">程序</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e5%87%bd%e6%95%b0/" title="函数">函数</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e4%be%8b/" title="实例">实例</a>, <a href="https://www.iamivan.net/tag/%e9%80%92%e5%bd%92/" title="递归">递归</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>php函数详解之学习笔记的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0OY26b.html" rel="bookmark">js正则表达式常用函数详解（续）&lowbar;正则表达式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式对象的方法 1.test,返回一个 Boolean 值,它指出在被查找的字符串中是否存在模式.如果存在则返回 true,否则就返回 false. 2.exec,用正则表达式模式在字符串中运行查找,并返回包含该查找结果的一个数组. 3.compile,把正则表达式编译为内部格式,从而执行得更快.正则表达式对象的属性 1.source,返回正则表达式模式的文本的复本.只读. 2.lastIndex,返回字符位置,它是被查找字符串中下一次成功匹配的开始位置. 3.input ($_),返回执			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgJlP5b.html" rel="bookmark">js正则表达式常用函数详解（续）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				正则表达式对象的方法 1.test,返回一个 Boolean 值,它指出在被查找的字符串中是否存在模式.如果存在则返回 true,否则就返回 false. 2.exec,用正则表达式模式在字符串中运行查找,并返回包含该查找结果的一个数组. 3.compile,把正则表达式编译为内部格式,从而执行得更快. 正则表达式对象的属性 1.source,返回正则表达式模式的文本的复本.只读. 2.lastIndex,返回字符位置,它是被查找字符串中下一次成功匹配的开始位置. 3.input ($_),返回			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/yMAY6QM.html" rel="bookmark">jQuery&period;extend 函数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JQuery的extend扩展方法:       Jquery的扩展方法extend是我们在写插件的过程中常用的方法,该方法有一些重载原型,在此,我们一起去了解了解.       一.Jquery的扩展方法原型是: extend(dest,src1,src2,src3...);       它的含义是将src1,src2,src3...合并到dest中,返回值为合并后的dest,由此可以看出该方法合并后,是修改了dest的结构的.如果想要得到合并的结果却又不想修改dest的结构,可以如下使用:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qMqDEGb.html" rel="bookmark">XSL系列函数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|详解 转载于:中国XML论坛 本期介绍多个XSL对于VBScript.JScript增加的方法.属性,以充分发挥XML的优势,用于&lt; xsl:script &gt;.&lt; xsl:eval &gt;标记内表达式的编写或&lt; xsl:if &gt;.&lt; xsl:when &gt;的expr属性. 一.absoluteChildNumber  含义:返回结点相对于它所有的兄弟(不论名字是否相同)的序号 语法:absoluteChildNumber(node) 参数:node ── 对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/9bB0Rkp.html" rel="bookmark">DateDiff 函数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|详解 DateDiff 函数 描述 返回两个日期之间的时间间隔. 语法 DateDiff(interval, date1, date2 [,firstdayofweek][, firstweekofyear]]) DateDiff 函数的语法有以下参数: 参数 描述 interval 必选.字符串表达式,表示用于计算 date1 和 date2 之间的时间间隔.有关数值,请参阅&quot;设置&quot;部分. date1, date2 必选.日期表达式.用于计算的两个日期. firstdayofw			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbKx3LM.html" rel="bookmark">ASP的函数详解-1</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|详解 Array() FUNCTION: 返回一个数组 SYNTAX: Array(list) ARGUMENTS: 字符,数字均可 EXAMPLE: &lt;% Dim myArray() For i = 1 to 7 Redim Preserve myArray(i) myArray(i) = WeekdayName(i) Next %&gt; RESULT: 建立了一个包含7个元素的数组myArray myArray(&quot;Sunday&quot;,&quot;Monday&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pLjJ8b.html" rel="bookmark">ASP的函数详解-2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|详解 LCase() FUNCTION: 返回字符串的小写形式 SYNTAX: Lcase(string) ARGUMENTS: string is any valid string expression. EXAMPLE: &lt;% strTest = &quot;This is a test!&quot; response.write LCase(strTest) %&gt; RESULT: this is a test! Left() FUNCTION: 返回字符串左边第length个字符以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Nz7AWZM.html" rel="bookmark">ASP中限制IP函数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|详解 '******************************'Function CheckIp(cInput_Ip,cBound_Ip)'Created by qqdao, qqdao@263.net 2001/11/28'说明:首先需要根据;号循环,然后判断是否含有&quot;-&quot;,如果有则进行拆分处理,最后判断是否在范围内'参数: cInput_Ip,代检查的ip'cBound_Ip,给定的范围格式为,单个ip,和范围ip,范围ip最后使用&quot;-&quot;分割,如果是			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/4MYQe5M.html" rel="bookmark">PL&sol;SQL单行函数和组函数详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数|详解 函数是一种有零个或多个参数并且有一个返回值的程序.在SQL中Oracle内建了一系列函数,这些函数都可被称为SQL或PL/SQL语句,函数主要分为两大类: 单行函数 组函数 本文将讨论如何利用单行函数以及使用规则. SQL中的单行函数 SQL和PL/SQL中自带很多类型的函数,有字符.数字.日期.转换.和混合型等多种函数用于处理单行数据,因此这些都可被统称为单行函数.这些函数均可用于SELECT,WHERE.ORDER BY等子句中,例如下面的例子中就包含了TO_CHAR,UPPER			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZn9Yz.html" rel="bookmark" class="title">纪念我深爱的站长哥哥</a>
					<div>
						我的心好冷,明天我就要走了,离开这生活了18年的城市,离开我深爱的他,虽然我们从相识到相爱只有短短的三个月,但是,这将会是我有生以来最幸福的三个月.现在让我们相识的那个BBS现在已经不存在了,我们曾经 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdkGNM.html" rel="bookmark" class="title">ShowModalDialog的具体用法</a>
					<div>
						应用背景:需要打开一个子窗体,将需要修改的数据传到子窗体,然后将子窗体中修改过的数据,传回父窗体.(父窗体不能被刷新)例如:父窗体只供用户查看,子窗体用于修改.方法:父窗体:dim xxx '返回值d ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNBwlb.html" rel="bookmark" class="title">教你在命令提示符中任意切换目录</a>
					<div>
						尽管Windows图形界面早已经取代了无趣的DOS字符界面(废话,Vista都呼之欲出了),不过在日常操作中,还是有很多时候需要用到命令提示符.比如批量重命名文件时.执行字符命令时.在命令行下恢复系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLOnYb.html" rel="bookmark" class="title">java内部类可以覆盖吗</a>
					<div>
						若创建一个内部类,然后从封装类继承,并重新定义内部类,那么会出现什么情况呢?也就是说,我们有可能覆盖一个内部类吗?这看起来似乎是一个非常有用的概念,但&quot;覆盖&quot;一个内部类--好象它是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wVZ1p.html" rel="bookmark" class="title">Photoshop给瀑布图片加上唯美的蓝红色霞光</a>
					<div>
						  Photoshop给瀑布图片加上唯美的蓝红色霞光   最终效果 原图 1.把原图素材大图保存到本机,再用PS打开,然后创建可选颜色调整图层,对黄色.绿色.白色进行调整,参数及效果如下图. 2.按C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRygYBb.html" rel="bookmark" class="title">PS怎么制作绚丽光影彩色海报图片</a>
					<div>
						PS制作绚丽光影彩色海报图片教程,效果图确实非常绚丽,里面的素材基本都是彩色的,因此溶图的时候需要多尝试,在保持绚丽的同时画面不能太花太杂乱. 最终效果 一.寻找合适背景: 二.文字的处理: 边框加阴 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jyKPb.html" rel="bookmark" class="title">不连网可以从IE9升级到IE10吗</a>
					<div>
						Windows 7中的自动更新功能被屏蔽了,不能连网更新,如何才能把 IE9 升级到 IE10 呢? 目前 Windows 7 用户要想从 IE9 升级到 IE10 版本只能通过手动下载 IE10 独 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N4Wgz.html" rel="bookmark" class="title">Edge浏览器怎么屏蔽广告</a>
					<div>
						  win10给我们带来诸多的神奇体验,其中就包括edge浏览器在内,edge无论是启动速度还是浏览速度,都表现的很不错,但在广告屏蔽方面表现的还不是很好.今天教大家怎么实现视频的html5无广告播放 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgK1JAM.html" rel="bookmark" class="title">使用Python压缩和解压缩zip文件的教程</a>
					<div>
						  这篇文章主要介绍了使用Python压缩和解压缩zip文件的教程,主要用到了zipfile包,需要的朋友可以参考下 python 的 zipfile 提供了非常便捷的方法来压缩和解压 zip 文件. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyrNQ4p.html" rel="bookmark" class="title">调试Python程序代码的几种方法总结</a>
					<div>
						  这篇文章主要介绍了调试Python程序代码的几种方法总结,文中代码基于Python2.x版本,需要的朋友可以参考下 程序能一次写完并正常运行的概率很小,基本不超过1%.总会有各种各样的bug需要修 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E1EKM.html" rel="bookmark" class="title">word中打开wps格式文件</a>
					<div>
						一.word中打开wps格式文件,首先打开word,点击菜单栏的&quot;工具--选项--常规&quot;选项,在该选项下选择&quot;打开时确认转换&quot;,然后在点击&quot;确定&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WP90b.html" rel="bookmark" class="title">Win7提示&OpenCurlyDoubleQuote;未能连接一个Windows服务&rdquo;怎么解决</a>
					<div>
						  1.在Win7系统上,使用Win+R键打开运行对话框,然后在运行窗口中输入CMD命令,打开命令行窗口. 2.接着在CMD命令窗口中输入NETSH WINSOCK RESET CATALOG,然后再 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd6yOdb.html" rel="bookmark" class="title">win8系统 uac怎么关闭及不影响Metro应用的方法</a>
					<div>
						  在win8操作系统下,UAC用户帐户控制权限在系统默认中是开启的,那么当我们在运行软件的时候就会弹窗提示用户是否执行,对于不经常安装运行程序的人来说没有什么,但是却给一些人带来了很大的不便,很多用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3dw1p.html" rel="bookmark" class="title">Photoshop给废墟人像添加粉色朦胧美效果</a>
					<div>
						  宁国路废墟,是上海最近比较火的一个外拍地.不过随着废墟类型片越来越多,我们发现大多数片子走的都是颓废风,后期上也多是以低饱和甚至黑白,做旧等效果为主.令人不禁想问:废墟就一定得拍得这么颓废绝望吗? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLaRraz.html" rel="bookmark" class="title">中关村win7 64位系统下更改用户账户名称的方法</a>
					<div>
						  1.首先点击&quot;开始&quot;--&quot;控制面板&quot;选项,在控制面板中,点击&quot; 用户帐户和家庭安全&quot;下面的&quot;添加或删除用户帐户&quot;项; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Z9qNb.html" rel="bookmark" class="title">edius8怎么解锁</a>
					<div>
						  1.放入这样的一段视频到时间轴上.从图可以看出,该素材带有声音. 2.选中素材,然后鼠标右击选择&quot;连接/组&quot;,然后我们可以选择&quot;解组&quot;或者&quot;解锁& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkvmdb.html" rel="bookmark" class="title">上网总会自动跳转到的WPKG&period;ORG，是个什么鬼</a>
					<div>
						  近日,大陆地区的部分互联网用户遇到了一个奇怪的问题:在访问网站的时候会自动跳转到WPKG.org.在社交网络上搜索&quot;WPKG&quot;已经可以发现许多网友--尤其是在访问国外网站时-- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOae0kM.html" rel="bookmark" class="title">如何让两个struts标签同一行显示</a>
					<div>
						  有三个方法: 方法一: 在struts.xml中添加&lt;constant name=&quot;struts.ui.theme&quot; value=&quot;simple&quot; / ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWX9GXp.html" rel="bookmark" class="title">尼采：快乐的知识（下）</a>
					<div>
						301．沉思者的幻觉 上等人与下等人的区别就在于前者比后者见识要广博得多,而且是一面看和听,一面思考.这也是人与动物.高等动物与低等动物的区别所在了. 对于人格高度发展的人来说,世界变得越来越丰富了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQN7GrM.html" rel="bookmark" class="title">如何利用好SEO技术提升自己的收入？</a>
					<div>
						首先跟大家解释一下什么叫价值回归,价值回归的意思就是回归它本来的价值,那么SEO到底价值几何呢?我相信没有一个明确的标准,SEO只是一种手段而不是目的,举个例子说SEO就像是一把倚天剑,把倚天剑让我来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqrgqb.html" rel="bookmark" class="title">js常用代码段收集&lowbar;javascript技巧</a>
					<div>
						每段代码前边都有功能注解和参数要求等说明文字,难度不大也就没做更多注释. 为看得清楚,这里依先后顺序做个小目录: 重写window.setTimeout, 理解递归程序的返回规律, 截取长字符串, 取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV3Amb.html" rel="bookmark" class="title">echart-Echart 世界地图 鼠标放到地图上，显示国家不准确，怎么修改呢？</a>
					<div>
						问题描述 Echart 世界地图 鼠标放到地图上,显示国家不准确,怎么修改呢? Echart 世界地图 鼠标放到地图上,显示国家不准确,怎么修改呢? 解决方案 http://www.mamicode. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA71x2z.html" rel="bookmark" class="title">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android通过调用Webservice实现天气预报</a>
					<div>
						     通过这一篇文章WebService的读书笔记对Web Service的认识,现在来写一个小应用Android通过调用Webservice实现天气预报来加强对Web Srevice的学习    ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm6QV3z.html" rel="bookmark" class="title">移动开发-安卓中io操作必须独立于ui线程？</a>
					<div>
						问题描述 安卓中io操作必须独立于ui线程? 最近在学习安卓开发,看到网上有说io操作比如文件读写,蓝牙通信等需要放入单独的工作线程中,独立于activity的ui线程--是必须如此吗?还是一般建议如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXW1Wz.html" rel="bookmark" class="title">Android ScrollView嵌套ListView嵌套GridView的上下拉以及加载更多</a>
					<div>
						ScrollView 效果 ScrollView 说明 一个ScrollView 嵌套ListView 嵌套GridView的上拉加载更多,下拉刷新的demo. 主要是重写了GridView和Lsit ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBw4qb.html" rel="bookmark" class="title">vs2012-如何用命令行启动两个exe？</a>
					<div>
						问题描述 如何用命令行启动两个exe? 做的是socket通信,c++的,vs2012,现在服务器端和客户端都做出来了,且能成功运行,.现在需要通过命令行的方式来启动这两个exe,如输入1,启动服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnRDAjp.html" rel="bookmark" class="title">stringbuffer-介于String和StringBuffer的性能问题</a>
					<div>
						问题描述 介于String和StringBuffer的性能问题 都说String是final,那么在第二次赋值的时候,实际上是新开辟了内存空间,新建了String对象赋值,在多次赋值的情况下,这样是很 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEK2qLp.html" rel="bookmark" class="title">解决方案-mongorestore  出现  src&sol;mongo&sol;tools&sol;tool&period;cpp 504</a>
					<div>
						问题描述 mongorestore 出现 src/mongo/tools/tool.cpp 504 mongorestart -u name -p test -d dbname dumpdb,在恢复过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnqK6M.html" rel="bookmark" class="title">蒙牛也玩跨界合作&comma;和大众点评达成战略合作</a>
					<div>
						12月18日,中国领先的乳制品公司蒙牛乳业(港交所:02319)与中国领先的城市生活消费平台大众点评在成都宣布双方达成战略合作.       未来,大众点评和蒙牛双方将全面展开合作.作为战略合作后的首 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5D3Op.html" rel="bookmark" class="title">高性能时序数据库 HiTSDB 启动公测，为物联网而生的数据库！</a>
					<div>
						HiTSDB 是一种高性能.低成本.稳定可靠的在线时序数据库服务:提供高效读写,高压缩比存储.时序数据插值及聚合计算.是物联网(IoT)设备监控系统 ,企业能源管理系统(EMS),生产安全监控系统,电 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
